### Virtual Method

# Hex Buffer write_to_file

#### Declaration

    gboolean
    write_to_file (
      HexBuffer* self,
      GFile* file
    )

#### Description

Write the buffer to the `GFile` specified. This operation will block. For a non-blocking version, use `hex_buffer_write_to_file_async()`.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to write to.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.